This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 592553 - java applets max out the CPU
java applets max out the CPU
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened, Triaged
: 592586 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 07:31 EDT by Andre Robatino
Modified: 2010-08-05 07:31 EDT (History)
10 users (show)

See Also:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-39.b18.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 09:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2010-05-15 07:31:53 EDT
Description of problem:
Java applets seem to max out the CPU now - two examples are www.jigzone.com and the file uploading applet at adrive.com.  There were updates to java-1.6.0-openjdk and java-1.6.0-openjdk-plugin two days ago so these seem to be likely culprits.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-38.b18.fc12.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-38.b18.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. Go to www.jigzone.com.
  
Actual results:
Java applet maxes out CPU continuously, process must be killed to stop it.

Expected results:
Reasonable CPU usage.
Comment 1 Andre Robatino 2010-05-15 14:20:52 EDT
Sorry, more specifically you should go to a page such as

http://www.jigzone.com/puzzles/daily-jigsaw

which loads a java applet.
Comment 2 Andre Robatino 2010-05-15 15:51:38 EDT
Well, it turns out that the version of java-1.6.0-openjdk is NEWER in F11 (-35.b18.fc11) and F12 (-38.b18.fc12) than in F13 or Rawhide (both -37.b17.fc13), and the problem only exists in the newer F11 and F12 versions.  I see it also in F12 i386, and I think also in F11 i386 (not sure since my F11 box is too slow to allow the jigzone applet to load in time, but I see the high java CPU usage there as well).
Comment 3 colin 2010-05-17 06:35:57 EDT
This seems to be a problem introduced into b18

I also suffered 100% CPU usage and applet failed to initialise after updating to java-1.6.0-openjdk-1.6.0.0-35.b18.fc11 
Firefox locks up and the proccess has to be killed.
The updated openjdk-plugin also fails in Konqueror andr rekonq.

This new problem manifested on  the java applet here:
http://www.formula1.com/live_timing/
To test - you need to first register an email address with the website, but it is free and almost immediate.

Normal behaviour was restored when I reverted to 
java-1.6.0-openjdk-1.6.0.0-34.b17.fc11
Comment 4 Adam Williamson 2010-05-18 09:11:37 EDT
I see this also on jigzone.com as suggested by Robatino.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Orion Poplawski 2010-05-19 16:21:51 EDT
I'm also seeing this with http://www.multicians.org/thvv/gpw.html and java-1.6.0-openjdk-plugin-1.6.0.0-38.b18.fc13.i686 on F-13.

.xsession-errors shows:
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-38.b18.fc13-i386)
OpenJDK Client VM (build 14.0-b16, mixed mode)
java.lang.InterruptedException: sleep interrupted
        at java.lang.Thread.sleep(Native Method)
        at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:735)
        at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:649)
        at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
        at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
Comment 6 Orion Poplawski 2010-05-19 16:24:39 EDT
*** Bug 592586 has been marked as a duplicate of this bug. ***
Comment 7 Deepak Bhole 2010-06-02 17:11:54 EDT
Is this problem consistently reproducible?

Also, what is the OS/OpenJDK version combination?

There is currently an issue whereby F12 update has a newer version than the F13 one, causing it to get installed:

https://bugzilla.redhat.com/show_bug.cgi?id=596850
Comment 8 Orion Poplawski 2010-06-02 17:37:12 EDT
100% reproducible for me.  Version noted in comment #5.  Was a fresh F13 install, not upgrade.
Comment 9 Andre Robatino 2010-06-02 21:17:12 EDT
It was 100% reproducible when I was using the newest broken F11 and F12 versions.  I don't see it on the older F13 version.  I'm aware of the version problem as indicated in comment #2.
Comment 10 Andre Robatino 2010-06-10 10:10:49 EDT
There is a nonfunctional (for me, anyway) update submitted for stable at

https://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-39.b18.fc13

Please test to make sure that another broken update doesn't get into F13.
Comment 11 Andre Robatino 2010-06-11 00:48:14 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=594550#c4 for info on how to get the broken Java plugin in the now pushed update to work.  If nobody sees 100% CPU usage after doing this, I'll close this as CURRENTRELEASE.
Comment 12 Andre Robatino 2010-06-11 01:03:06 EDT
FYI the broken links problem has been reported as bug #602906.
Comment 13 Andre Robatino 2010-06-11 02:16:56 EDT
I fixed the alternatives link as described above to make the Java plugin work, and the 100% CPU usage is still there.  Now that the problem is in F13 as well, bumping the Version to 13.  I'll downgrade to the earlier version until a fixed version is released.
Comment 14 Andre Robatino 2010-06-11 02:36:34 EDT
These bugs (wrong link and 100% CPU usage) now exist in Rawhide as well. 
Should the Version of this bug be bumped to rawhide, or should it be cloned?
Comment 15 Fedora Update System 2010-06-15 05:23:25 EDT
java-1.6.0-openjdk-1.6.0.0-41.b18.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-41.b18.fc13
Comment 16 Andre Robatino 2010-06-15 05:43:12 EDT
This update fixes both this bug and bug #602906 for me.
Comment 17 Fedora Update System 2010-06-15 12:03:30 EDT
java-1.6.0-openjdk-1.6.0.0-41.b18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Jonathan Larmour 2010-06-15 12:19:31 EDT
This bug was originally reported against Fedora 12. Since F12 is still being maintained, will there be an update for it too?
Comment 19 Andre Robatino 2010-06-15 12:22:14 EDT
Reopened and switched Version to 12 until a F12 update is pushed.
Comment 20 Andre Robatino 2010-06-16 08:20:23 EDT
It shouldn't be too difficult to build this for F11 and push that, too, before EOL on June 25.  I'll switch the component to F11 after the F12 update is pushed - the F12 version is being built right now at

http://koji.fedoraproject.org/koji/buildinfo?buildID=178318
Comment 21 Fedora Update System 2010-06-16 08:36:37 EDT
java-1.6.0-openjdk-1.6.0.0-39.b18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-39.b18.fc12
Comment 22 Fedora Update System 2010-06-17 15:23:36 EDT
java-1.6.0-openjdk-1.6.0.0-36.b18.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b18.fc11
Comment 23 Fedora Update System 2010-06-21 09:03:26 EDT
java-1.6.0-openjdk-1.6.0.0-36.b18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-06-21 09:08:18 EDT
java-1.6.0-openjdk-1.6.0.0-39.b18.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 colin 2010-06-27 09:10:13 EDT
The latest java build in F12 is still broken.

I have had to revert to java-1.6.0-openjdk-1.6.0.0-34.b17
to find a build without regression which will run the java applet that I mention in comment 3.

java-1.6.0-openjdk-1.6.0.0-39.b18 locks up firefox.

'htop' no longer shows 100% CPU usage - but firefox is still locked for long periods and even if you tell the javascript debugger dialog to stop the long running script on the page - It is still locked up.

This is in addition to Bug 594978
Comment 26 Andre Robatino 2010-06-27 11:46:28 EDT
Can you reproduce this problem with any applet that doesn't require registration (such as the one I mentioned in comment 1)?  The site you mentioned requires more information than I'd like to give (though I could lie, of course), and http://www.formula1.com/termsandconditions.html is a bit long.  Additionally, if it doesn't involve 100% CPU, then it's not really this bug, so you might want to file a new one.  You might also want to recheck bug 594978 since firefox in F12 was recently updated to 3.5.10.
Comment 27 Orion Poplawski 2010-06-28 11:07:15 EDT
FWIW - I had to wipe out my ~/.java cache before things worked for me.
Comment 28 Fedora Update System 2010-08-05 07:31:43 EDT
java-1.6.0-openjdk-1.6.0.0-40.b18.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-40.b18.fc12

Note You need to log in before you can comment on or make changes to this bug.